<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CANFD_MCANMsgObjectStats_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CANFD_MCANMsgObjectStats_t Struct Reference<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a> &raquo; <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CANFD Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Data structure defines the software maintained message object statistics.  
 <a href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/canfd/canfd.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9fde26c94e915166ab6956face4b12b7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#a9fde26c94e915166ab6956face4b12b7">handle</a></td></tr>
<tr class="separator:a9fde26c94e915166ab6956face4b12b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e795b380a71e1104265fc4c8f2afeb"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#a29e795b380a71e1104265fc4c8f2afeb">direction</a></td></tr>
<tr class="separator:a29e795b380a71e1104265fc4c8f2afeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b3e27f627446095ae2e91cfe2650307"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#a0b3e27f627446095ae2e91cfe2650307">msgId</a></td></tr>
<tr class="separator:a0b3e27f627446095ae2e91cfe2650307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02069f42ca7c03059cbd174cbc1358e0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#a02069f42ca7c03059cbd174cbc1358e0">interruptsRxed</a></td></tr>
<tr class="separator:a02069f42ca7c03059cbd174cbc1358e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba76ad16b2ed49f2a4ef7ae81634da6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___m_c_a_n_msg_object_stats__t.html#abba76ad16b2ed49f2a4ef7ae81634da6">messageProcessed</a></td></tr>
<tr class="separator:abba76ad16b2ed49f2a4ef7ae81634da6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure defines the software maintained message object statistics. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a29e795b380a71e1104265fc4c8f2afeb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CANFD_MCANMsgObjectStats_t::direction</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Message Object direction </p>

</div>
</div>
<a class="anchor" id="a9fde26c94e915166ab6956face4b12b7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> CANFD_MCANMsgObjectStats_t::handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Message Object Handle for which the statistics is requested </p>

</div>
</div>
<a class="anchor" id="a02069f42ca7c03059cbd174cbc1358e0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CANFD_MCANMsgObjectStats_t::interruptsRxed</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of interrupts received </p>

</div>
</div>
<a class="anchor" id="abba76ad16b2ed49f2a4ef7ae81634da6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CANFD_MCANMsgObjectStats_t::messageProcessed</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Number of messages processed </p>

</div>
</div>
<a class="anchor" id="a0b3e27f627446095ae2e91cfe2650307"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CANFD_MCANMsgObjectStats_t::msgId</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Message Identifier </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/canfd/<a class="el" href="canfd_8h.html">canfd.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
